from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleText(XInterface, Protocol):
    def getCaretPosition(self) -> int: ...
    def getCharacterCount(self) -> int: ...
    def getIndexAtPoint(self, aPoint: Point) -> int: ...
    def getSelectedText(self) -> str: ...
    def getSelectionStart(self) -> int: ...
    def getSelectionEnd(self) -> int: ...
    def getText(self) -> str: ...
